#ifndef __GL_WINDOW_H__
#define __GL_WINDOW_H__

#include "ui/FL/Fl.H"
#include "ui/FL/Fl_Gl_Window.H"

#include <GL/glut.h>

#include <stdio.h>

class gl_window : public Fl_Gl_Window
{
	private:

		float near_clip, far_clip;
		float asp_ratio;

		float rotx, roty, rotz;

	public:
		
		gl_window(int, int, int, int, const char*);
		~gl_window(void);

		void rotate(void);

		void draw(void);
		int handle(int);

};

#endif
